Index: ChangeLog
===================================================================
--- ChangeLog	(revision f87c490cdfe78c49dc11396ee2f43689f278e13a)
+++ ChangeLog	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -68,4 +68,5 @@
 	  keypress.c
 	do_encrypt declaired static
+	if we don't have des functions, do not try to build in zcrypt
 	
 1.2.8
Index: config.h.in
===================================================================
--- config.h.in	(revision e51b410a2fa3fdee5c52ea57d40fd29016392d6b)
+++ config.h.in	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -48,3 +48,9 @@
 #undef HAVE_USE_DEFAULT_COLORS
 
+#undef HAVE_DES_STRING_TO_KEY
+
+#undef HAVE_DES_KEY_SCHED
+
+#undef HAVE_DES_ECB_ENCRYPT
+
 #undef TERMINFO
Index: configure
===================================================================
--- configure	(revision e51b410a2fa3fdee5c52ea57d40fd29016392d6b)
+++ configure	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -1380,5 +1380,5 @@
 
 
-for ac_func in use_default_colors
+for ac_func in use_default_colors des_string_to_key des_key_sched des_ecb_encrypt
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
@@ -1436,9 +1436,8 @@
 
 
-
 echo $ac_n "checking for des_ecb_encrypt prototype""... $ac_c" 1>&6
-echo "configure:1441: checking for des_ecb_encrypt prototype" >&5
+echo "configure:1440: checking for des_ecb_encrypt prototype" >&5
 cat > conftest.$ac_ext <<EOF
-#line 1443 "configure"
+#line 1442 "configure"
 #include "confdefs.h"
 #include <des.h>
@@ -1448,5 +1447,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1451: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1450: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_des_ecb_encrypt_proto=no
@@ -1465,4 +1464,5 @@
 
 fi
+
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
@@ -1804,5 +1804,4 @@
 
 fi
-
 
 
@@ -1840,5 +1839,5 @@
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:1843: checking for a BSD compatible install" >&5
+echo "configure:1842: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
Index: configure.in
===================================================================
--- configure.in	(revision e51b410a2fa3fdee5c52ea57d40fd29016392d6b)
+++ configure.in	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -43,6 +43,5 @@
 AC_CHECK_LIB(zephyr, ZInitLocationInfo, AC_DEFINE([HAVE_LIBZEPHYR_ZINITLOCATIONINFO], [], [Have ZInitLocationInfo]),)
 
-AC_CHECK_FUNCS(use_default_colors)
-
+AC_CHECK_FUNCS(use_default_colors des_string_to_key des_key_sched des_ecb_encrypt)
 
 AC_MSG_CHECKING(for des_ecb_encrypt prototype)
@@ -56,4 +55,5 @@
 	AC_DEFINE([HAVE_DES_ECB_ENCRYPT_PROTO], [], [have proto for des_ecb_encrypt])
 fi
+
 
 dnl Checks for header files.
Index: message.c
===================================================================
--- message.c	(revision ecd5dc5ca65a64da2e84de5dd1f997d246afd294)
+++ message.c	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -428,5 +428,5 @@
 void owl_message_create_from_znotice(owl_message *m, ZNotice_t *n) {
   struct hostent *hent;
-  int k, ret;
+  int k;
   char *ptr, *tmp, *tmp2;
 
@@ -478,7 +478,9 @@
   owl_free(tmp);
 
+#ifdef OWL_HAVE_DES  
   /* if zcrypt is enabled try to decrypt the message */
   if (owl_global_is_zcrypt(&g) && !strcasecmp(n->z_opcode, "crypt")) {
     char *out;
+    int ret;
 
     out=owl_malloc(strlen(owl_message_get_body(m))*16+20);
@@ -490,4 +492,5 @@
     }
   }
+#endif  
 
   /* save the hostname */
Index: owl.h
===================================================================
--- owl.h	(revision f87c490cdfe78c49dc11396ee2f43689f278e13a)
+++ owl.h	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -111,4 +111,8 @@
 
 #define OWL_CMD_ALIAS_SUMMARY_PREFIX "command alias to: "
+
+#if defined(HAVE_DES_STRING_TO_KEY) && defined(HAVE_DES_KEY_SCHED) && defined(HAVE_DES_ECB_ENCRYPT)
+#define OWL_HAVE_DES 1
+#endif
 
 #define OWL_META(key) ((key)|0200)
Index: zcrypt.c
===================================================================
--- zcrypt.c	(revision f87c490cdfe78c49dc11396ee2f43689f278e13a)
+++ zcrypt.c	(revision c269e22ca211d5bb3d7441f506b8bc00f49848a9)
@@ -17,4 +17,6 @@
 #include <sys/wait.h>
 #include "owl.h"
+
+#ifdef OWL_HAVE_DES
 
 #define BASE_CODE 70
@@ -691,2 +693,4 @@
   return(0);
 }
+
+#endif
